pico-8 cartridge // http://www.pico-8.com
version 35
__lua__
--micro mario world
--by barfy

--variables

function _init()
char = 0
menuitem(1, "mario/luigi😐", function() swapchar() sfx(2) end)
menuitem(2, "quit to title⌂", function() exitmenu() sfx(2) end)
menuitem(3, "skip level➡️", function() skiplevel() sfx(2) end)

won_game = false
timer = 0
anim_time=27
music(0)
palt(14, true)
palt(0, false)
player={
sp=1,
x=24,
y=100,
w=8,
h=8,
flp=false,
dx=0,
dy=0,
max_dx=2,
max_dy=3,
acc=0.3,
boost=4,
anim=0,
walking=false,
running=false,
jumping=false,
jumping2=false,
coins=0
}

gravity=0.3
friction=0.85

--camera
cam_x=0

--map limits
map_start=0
map_end=1024

end

function swapchar()
if char==0 then
char = 3

elseif char==3 then
char = 0
end


end

function exitmenu()
load("mmw title")
end

function skiplevel()
load("mmw3")
end


-->8
--update and draw

function _update()



if (won_game == true) then
player.y =-200
player.dy=0

if btnp(❎)then
load("mmw3")

elseif btnp(🅾️)then
run()
end
end

player_update()
player_animate()

if (timer<0) then
toggle_tiles()
timer=anim_time
end
timer-=1

cam_x=player.x-60
if cam_x<map_start then
cam_x=map_start
end

if cam_x>map_end-128 then
cam_x=map_end-128
end

camera(cam_x,0)
end

function _draw()
cls(0)
map(0,16)
map(0,0)
spr(player.sp,player.x,player.y,player.w/8,player.h/8,player.flp) show_inventory()

if(won_game == true)then
print("you win!",invx+9,50,1)
print("you win!",invx+9,49,8)
print("you win!",invx+9,48,7)

print("⧗: "..timee,invx+2,70,1)
print("⧗: "..timee,invx+2,69,8)
print("⧗: "..timee,invx+2,68,7)

print("❎:next level",invx+2,79,8)
print("❎:next level",invx+2,78,7)
print("🅾️:replay",invx+2,86,8)
print("🅾️:replay",invx+2,85,7)
end
end
-->8
--collisions

function collide_map(obj,aim,flag)
		--obj = table needs x,y,w,h
		--aim = left,right,up,down
		
		local x=obj.x  local y=obj.y
		local w=obj.w  local h=obj.h
		
		local x1=0  local y1=0
		local x2=0  local y2=0
		
		if aim=="left" then
		x1=x-1       y1=y
		x2=x			      y2=y+h-1
		elseif aim=="right" then
		x1=x+w-1     y1=y
		x2=x+w       y2=y+h-1
		elseif aim=="up" then
		x1=x+2       y1=y-1
		x2=x+w-3     y2=y
		elseif aim=="down" then
		x1=x+2         y1=y+h
		x2=x+w-3       y2=y+h
		elseif aim=="center" then
		x1=x+4         y1=y+4
		x2=x+4         y2=y+4
end

--pixels to tiles
x1/=8   y1/=8
x2/=8   y2/=8

if fget(mget(x1,y1), flag)
or fget(mget(x1,y2), flag)
or fget(mget(x2,y1), flag)
or fget(mget(x2,y2), flag) then
return true
else
return false
end
	end
	
	
function is_tile(tile_type,x,y)
tile=mget((player.x/8+0.4),y)
has_flag=fget(tile,tile_type)
return has_flag
end

	function get_coin(xl,yl)

	swap_tile(((player.x/8+0.4)),(player.y/8+0.1),0)
	
	
	end
	
	function swap_tile(x,y)

	tile=mget(1,(1))
	mset(x,y,0)
	end

	
	function break_block(x,y)

	tile=mget(1,(1))
	mset(x,y,100)
	player.coins+=1
	end
	
	function get_qb()

	swap_tile(((player.x/8+0.4)),(player.y/8)-1,tile+1)
	
	
	end
	
	function swap_tile(x,y,tileid)

	tile=mget(1,(1))
	mset(x,y,tileid)

	end
	


-->8
--player

function player_update()
--physics
player.dy+=gravity
player.dx*=friction

--controls
if btn(⬅️)then
player.dx-=player.acc
player.running=true
player.flp=true
end

if btn(➡️)then
player.dx+=player.acc
player.running=true
player.flp=falses
end

--slide
if player.running
and not btn(⬅️)
and not btn(➡️)
and not player.falling
and not player.jumping then
player.running=false
end

--jump
if btn(❎)
and player.landed then
sfx(0,3)

player.dy-=player.boost
player.landed=false
end

--collision up down
if player.dy>0 then
player.falling = true
player.landed = false
player.jumping = false



if(is_tile(5,0,player.y/8-0.2)) then
if(is_tile(3,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=10
player.dy = 1
get_qb()
end
end

--if(is_tile(2,0,player.y/8+0.4)) then

--get_coin(1,player.y/8+0.4)
--end

if(is_tile(3,0,player.y/8-0.2)) then
sfx(1,2)
get_qb()
end


if(is_tile(4,0,player.y/8+0.4)) then
player.x=24
player.y=100
sfx(16)

end

if(is_tile(5,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=1
player.dy = 1
get_qb()
end

if(is_tile(2,0,player.y/8+0.5)) then
sfx(17)
player.dy = -6
end

if(is_tile(2,0,player.y/8-0.15)) then
player.dy = 0
end







if collide_map(player,"down",0) then
	player.landed=true
	player.falling=false
	player.dy=0
	player.y-=(player.y+player.h)%8
end
elseif player.dy<0 then
player.jumping=true
if collide_map(player,"up",1)then
--sfx(1)
player.dy=0
end
end
--collision left right
if player.dx<0 then
if collide_map(player,"left",1) then
player.dx=0
end
elseif player.dx>0 then
if collide_map(player,"right",1) then
player.dx=0
end
end


player.x+=player.dx
player.y+=player.dy

--limit player to map
if player.x<map_start then
player.x=map_start
end
if player.x>984  then
timee = t()
won_game = true
sfx(18)
music(-1)
player.dy=-40
player.dx=-100
invx=(cam_x)+40

end

if player.y>140 then
player.x=24
player.y=100
sfx(16)
end

end


function player_animate()
 if player.jumping then
 player.sp=char+3
 elseif player.running then
 if time()-player.anim>.1 then
 player.anim=time()
 player.sp+=1
 if player.sp>char+2 then
 player.sp=char+1
		end
	end


else
player.sp = char+1
end

end



-->8
--inventory code

function show_inventory()
invx=(cam_x)+40
invy=0

spr(48,invx-40,0,1,1)
print("  "..player.coins,invx-39,invy+2,1)
print("  "..player.coins,invx-39,invy+1,7)
end
-->8
--animation code
function toggle_tiles()
for x=(player.x/8)-16,(player.x/8)+16 do
for y=0,16 do
if(this_tile(6,x,y))then
animate_tile(x,y)

elseif (this_tile(7,x,y)) then
revert_tile(x,y)

end
end
end
end

function animate_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile+1)
	end

function revert_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile-1)
	end
	
function this_tile(tile_type,x,y)
tile=mget(x,y)
has_flag=fget(tile,tile_type)
return has_flag
end


__gfx__
00000000eee8f8eeeee8f8eeeee8f8eeeeebfbeeeeebfbeeeeebfbee00000000000000000000000000000000ee1111ee00000000ee1111ee0000000000000000
00000000ee82222eee82222eee82222eeeb3333eeeb3333eeeb3333e00000000000000000000000000000000e167761e00000000e1d77d1e0000000000000000
00700700e8471feee8471feee8471feeeb471feeeb471feeeb471fee0000000000000000000000000000000016776671000000001d77dd710000000000000000
00077000e4fffffee4fffffee4fffffee4fffffee4fffffee4fffffe000000000000000000000000000000001776677100000000177dd7710000000000000000
00077000eef000eeeef000eeeef000eeeef000eeeef000eeeef000ee00000000000000000000000000000000176677610000000017dd77d10000000000000000
00700700ee8caeeeee8ca2eee78caeeeeebcaeeeeebca2eee7bcaeee0000000000000000000000000000000016677661000000001dd77dd10000000000000000
00000000ee7cceeee47cc2eee4ccceeeee7cceeee47cc2eee4ccceee0000000000000000000000000000000016776671000000001d77dd710000000000000000
00000000ee442eeeee4eeeeeee42eeeeee442eeeee4eeeeeee42eeee000000000000000000000000000000001776677100000000177dd7710000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000176677610000000017dd77d10000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000016677661000000001dd77dd10000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000016776671000000001d77dd710000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000001776677100000000177dd7710000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000176677610000000017dd77d10000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000016677661000000001dd77dd10000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000016776671000000001d77dd710000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000001776677100000000177dd7710000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee9999ee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9aaaa9e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9aaaa9e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e199991e000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee1111ee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee11111111111111111111ee1111111111111111e555555eee5765ee11111121e111111eeeeeddddddddeeee11111111eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
e1666116166616166116661e128887888828882157777765ee5765ee1166641117666761eddd77777777ddde12111111eeeee1e11eeeeeee1eeeeeeeeeeeeeee
1666111d11666611d1116661128887888828822155577555ee5765ee1466d6d116676661d77777777777776d11111121eee1e11111eeeee171eeeeeeeeeeeeee
11661d111d11d11111d16611111111111111111155576555ee5765ee26164161167766d1d77777177177776d11111111eee1111111e1eeee1eeeeeeeeeeeeeee
11d11dd1dddd1d1d1dd11d11e12288788282821e57655665e567765e166666d11d6666d1d77777177177776d11121111ee1111111111eeeeeeeeeeeeee1eeeee
1611ddd11ddd11dd1ddd1161e12888788288221e5556655556777765161d1d11166dd6d1d66677077077666d111111ddee1111111111eeeeeeeeeeeee171eeee
1661dd111d111ddd11dd1661e12288788288821e5565565e577557751d611d411dddddd1eddd66666666ddde11111d16e11111111111eeeeeeeeeeeeee1eeeee
1611111111111dd111111161e12888788288221ee555555ee55ee55ed4d11ddde111111eeeeeddddddddeeee1111d661e11111111111e1eeeeeeeeeeeeeeeeee
1611ddd111111121111d1111e12288788288821ee55ee55eee5765ee11111161eeeeeeeee222222ee111111e11111d61e1111111111111eeeeeeeeeeeeeeeeee
11111ddd1111111111ddd161e12888788288221e57755775ee5765ee11111661eeeeeeee249999421444444111211d16e11111111111111eeeeeeeeeeeeeeeee
1661d1dd1111211111dd1661e12288788282821e56777765ee5765ee1111664deeeeeeee2779977214444441111111d6e111111111111111eeeeeeeeeeeeeeee
116d11112111111111dd1661e12888788288221ee567765eee5765ee21146dd1eeeeeeee29797972114444111111111de111111111111111e1eee1eeeeeeeeee
1661dd11111111111111d611e12288788288821eee5765eeee5765ee1166d111e11ee11e2979797214144141111121111111111111111111111e171eeeeeeeee
1661dd1111111111dd1d1661e12888788288221eee5765eeee5765eed461111117b117b12979779214444441111111111111111111111111111ee1eeeeeeeeee
161ddd1111211112ddd11111e12288788282821eee5765eeee5765ee1d6d11121b311b312499994214444441121111111111111111111111111eeeeeeeeeeeee
1111d111111111111ddd1161e12888788288221eee5765eeee5765ee11d11111e11ee11ee222222ee111111e1111111111111111111111111111eeeeeeeeeeee
1611111111111dd111111161e111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e1111111111111111111111111111eeeeeeeeeeee
1661dd1111111ddd11dd1661149779411444444114999941eeeeeeee1499994114444441eeeeeeee144444411111112111111111111111111111eeee1e11eeee
1611ddd11ddd11dd1ddd1161197997911444444119999991eeeeeeee1999999114444441eeeeeeee144444411111111111111111111111111111eee111111eee
11d11dd1dddd1d1d1dd11d11199977911144441119199191e111111e1919919111444411eeeeeeee114444111112111111111111111111111111ee1111111e1e
11661d111d11d11111d16611199779911414414119199191141991411919919114144141eeeeeeee14144141d111111111111111111111111111e11111111111
1666111d11666611d1116661199999911444444119999991e111111e1999999114444441eeeeeeee144444416d11111111111111111111111111111111111111
e1666116166616166116661e149779411444444114999941eeeeeeee1499994114444441eeeeeeee1444444161d1121111111111111111111111111111111111
ee11111111111111111111eee111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e16d1111111111111111111111111111111111111
4411111111111144eeeeeeeeeeee5eee0eeeeee0eee00eee11111111eeeeeeeeeeeeeeee8888888800000000166d111111111111111111111111111111111111
4166666666666614eeeeeeeeeee575ee00eeee01ee0100ee1cc77cc1eeeeeeeeeee2eeee888888880000000061d1111111111111111111111111111111111111
1666611111166661eeeeeeeeee55555e100ee010e010000e1c7777c1ee2ee2ee2eeeeeee8888888800000000dd11111111111111111111111111111111111111
16661dddddd16661eeeeeeeeeed666de10000100e000000e177777712eee22222222ee2e88888888000000001111211111111111111111111111111111111111
1661dddddddd1661eeeeeeee117616dd01000000e000000e17c77c71222299999999222288888888000000001111111111111111111111111111111111111111
1661dddddddd1661eeee5eee177166dde000000ee000000e1cc77cc1999989899898999988888888000000001211111111111111111111111111111111111111
1661dddddddd1661eee575eeed7666dd9a00009a9a00009a1cc77cc1989898888889898988888888000000001111112111111111111111111111111111111111
161dddddddddd161ee55555eeed766ddeea9a9eeeea9a9ee11111111888888888888888888888888000000001111111111111111111111111111111111111111
__label__
11999921111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121
19aaaa91177711111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
19a99a91171721111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111
29a99a91271711112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111
19a99a91171711111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
19aaaa91177711111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11999912111111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121
11111111111111111111111111111111111111111111111111111111111111111111111111666411111111111111111111111111111111111111111111111111
1111211111112111111121111111211111112111111121111111211111112111111121111466d6d1111121111111211111112111111121111111211111112111
21111111211111112111111121111111211111112111111121111111211111112111111126164161211111112111111121111111211111112111111121111111
111111111111111111111111111111111111111111111111111111111111111111111111166666d1111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111161d1d11111111111111111111111111111111111111111111111111
1121111211211112112111121121111211211112112111121121111211211112112111121d611d41112111121121111211211112112111121121111211211112
111111111111111111111111111111111111111111111111111111111111111111111111d4d11ddd111111111111111111111111111111111111111111111111
11111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111
21111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11211112112111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111116111111121
11111111116664111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111166111111111
111121111466d6d11111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111664d11112111
211111112616416121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121146dd121111111
11111111166666d11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111166d11111111111
11111111161d1d11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111d461111111111111
112111121d611d411121111211211112112111121121111211211112112111121121111211211112112111121121111211211112112111121d6d111211211112
11111111d4d11ddd11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111d1111111111111
11111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111
21111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
11211112112111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
1111112111111121111111211111112111111161111111211111111111111dd111111dd111111dd111111dd111111dd111111dd111111dd111111dd111111dd1
1111111111111111111111111111111111111661111111111211111111111ddd11111ddd11111ddd11111ddd11111ddd11111ddd11111ddd11111ddd11111ddd
111121111111211111112111111121111111664d11112111111111211ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd
2111111121111111211111112111111121146dd12111111111111111dddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1d
111111111111111111111111111111111166d11111111111111211111d11d1111d11d1111d11d1111d11d1111d11d1111d11d1111d11d1111d11d1111d11d111
11111111111111111111111111111111d461111111111111111111dd116666111166661111666611116666111166661111666611116666111166661111666611
112111121121111211211112112111121d6d11121121111211111d16166616161666161616661616166616161666161616661616166616161666161616661616
1111111111111111111111111111111111d11111111111111111d661111111111111111111111111111111111111111111111111111111111111111111111111
11111121111111211111112111111121111111211111111111111161000000000000000000000000000000000000000000000000000000000000000000000000
11111111111111111111111111111111111111111211111111dd1661000000000000000000000000000000000000000000000000000000000000000000000000
1111211111112111111121111111211111112111111111211ddd1161000000000000000000000000000000000000000000000000000000000000000000000000
2111111121111111211111112111111121111111111111111dd11d11000000000000000000000000000000000000000000000000000000000000000000000000
11111111111111111111111111111111111111111112111111d16611000000000000000000000000000000000000000000000000000000000000000000000000
1111111111111111111111111111111111111111111111ddd1116661000000000000000000000000000000000000000000000000000000000000000000000000
112111121121111211211112112111121121111211111d1661166610000000000000000000000000000000000000000000000000000000000000000000000000
11111111111111111111111111111111111111111111d66111111100000000000000000000000000000000000000000000000000000000000000000000000000
11111121111111211111112111111121111111111111116100000000000000000000000000000000000000000000000000000000000000000000000000000000
111111111111111111111111111111111211111111dd166100000000000000000000000000000000000000000000000000000000000000000000000000000000
11112111111121111111211111112111111111211ddd116100000000000000000000000000000000000000000000000000000000000000000000000000000000
21111111211111112111111121111111111111111dd11d1100000000000000000000000000000000000000000000000000000000000000000000000000000000
111111111111111111111111111111111112111111d1661100000000000000000000000000000000000000000000000000000000000000000000000000000000
11111111111111111111111111111111111111ddd111666100000000000000000000000000000000000000000000000000000000000000000000000000000000
1121111211211112112111121121111211111d166116661000000000000000000000000000000000000000000000000000000000000000000000000000000000
111111111111111111111111111111111111d6611111110000000000000000000000000000000000000000000000000000000000000000000000000000000000
11111dd111111dd111111dd111111dd1111111610000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
11111ddd11111ddd11111ddd11111ddd11dd16610000000000000000000000000000000000000000000000000000000000000000000000000000010110000000
1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11610000000000000000000000000000000000000000000000000000000000000000000000000001011111000001
dddd1d1ddddd1d1ddddd1d1ddddd1d1d1dd11d110000000000000000000000000000000000000000000000000000000000000000000000000001111111010000
1d11d1111d11d1111d11d1111d11d11111d166110000000000000000000000000000000000000000000000000000000000000000000000000011111111110000
11666611116666111166661111666611d11166610000000000000000000000000000000000000000000000000000000000000000000000000011111111110000
16661616166616161666161616661616611666100000000000000000000000000000000000000000000000000000000000000000000000000111111111110000
11111111111111111111111111111111111111000000000000000000000000000000000000000000000000000000000000000000000000000111111111110100
00000000000000000000000000000000000000000000000000000000011111100000000000000000000000000000000000000000000000000111111111111100
00000000000000000000000000000000000001011000000010000000149779410000000000000000000001011000000010000000000000000111111111111110
00000000000000000000000000000000000101111100000171000000197997910000000000000000000101111100000171000000000000000111111111111111
00000000000000000000000000000000000111111101000010000000199977910000000000000000000111111101000010000000000000000111111111111111
00000000000000000000000000000000001111111111000000000000199779910000000000000000001111111111000000000000001000001111111111111111
00000000000000000000000000000000001111111111000000000000199999910000000000000000001111111111000000000000017100001111111111111111
00000000000000000000000000000000011111111111000000000000149779410000000000000000011111111111000000000000001000001111111111111111
00000000000000000000000000000000011111111111010000000000011111100000000000000000011111111111010000000000000000001111111111111111
00000000000000000000000000000000011111111111110000000000000000000000000000000000011111111111110000000000000000001111111111111111
00000101100000001000000000000000011111111111111000000000000001011000000010000000011111111111111000000000000000001111111111111111
00010111110000017100000000000000011111111111111100000000000101111100000171000000011111111111111100000000000000001111111111111111
00011111110100001000000000000000011111111111111101000100000111111101000010000000011111111111111101000100000000001111111111111111
00111111111100000000000000100000111111111111111111101710001111111111000000000000111111111111111111101710000000001111111111111111
00111111111100000000000001710000111111111111111111100100001111111111000000000000111111111111111111100100000000001111111111111111
01111111111100000000000000100000111111111111111111100000011111111111000000000000111111111111111111100000000000001111111111111111
01111111111101000000000000000000111111111111111111110000011111111111010000000000111111111111111111110000000000001111111111111111
01111111111111000000000000000000111111111111111111110000011111111111110000000000111111111111111111110000000000001111111111111111
01111111111111100000000000000000111111111111111111110000011111111111111000000000111111111111111111110000101100001111111111111111
01111111111111110000000000000000111111111111111111110001011111111111111100000000111111111111111111110001111110001111111111111111
01111111111111110100010000000000111111111111111111110011011111111111111101000100111111111111111111110011111110101111111111111111
11111111111111111110171000000000111111111111111111110111111111111111111111101710111111111111111111110111111111111111111111111111
11111111111111111110010000000000111111111111111111111111111111111111111111100100111111111111111111111111111111111111111111111111
11111111111111111110000000000000111111111111111111111111111111111111111111100000111111111111111111111111111111111111111111111111
11111111111111111111000000000000111111111111111111111111111111111111111111110000111111111111111111111111111111111111111111111111
11111111111111111111000000000000111111111111111111111111111111111111111111115000111111111111111111111111111111111111111111111111
11111111111111111111000010110000111111111111111111111111111111111111111111157500111111111111111111111111128887888828882111111111
11111111111111111111000111111000111111111111111111111111111111111111111111555551111111111111111111111111128887888828822111111111
11111111111111111111001111111010111111111111111111111111111111111111111111d666d1111111111111111111111111111111111111111111111111
111111111111111111110111111111111111111111111111111111111111111111111111117616dd111111111111111111111111112288788282821111111111
111111111111111111111111111111111111111111111111111111111111111111111111177166dd111111111111111111111111112888788288221111111111
1111111111111111111111111111111111111111111111111111111111111111111111111d7666dd111111111111111111111111112288788288821111111111
11111111111111111111111111111111111111111111111111111111111111111111111111d766dd111111111111111111111111112888788288221111111111
1111111111111111111111111118f811111111111111111111111111111111111111111111111111111111111111111111111111112288788288821111111111
11111111111111111111111111822221111111111111111111666116166616161666161661166611111111111111111111111111112888788288221111111111
11111111111111111111111118471f1111111111111111111666111d1166661111666611d1116661111111111111111111111111112288788282821111111111
11111111111111111111111114fffff1111111111111111111661d111d11d1111d11d11111d16611111111111111111111111111112888788288221111111111
11111111111111111111111111f00011111111111111111111d11dd1dddd1d1ddddd1d1d1dd11d11111111111111111111111111112288788288821111111111
111111111111111111111111118ca11111111111111111111611ddd11ddd11dd1ddd11dd1ddd1161111111111111111111111111112888788288221111111111
111111111111111111111111117cc11111111111111111111661dd111d111ddd1d111ddd11dd1661111111111111111111111111112288788282821111111111
1111111111111111111111111144211111111111111111111611111111111dd111111dd111111161111111111111111111111111112888788288221111111111
111111111111111111111111111111111111111111111111166d1111111111211111112111111d61111111111111111111111111111111111111111111111111
16661616166616161666161616661616166616161666161661d11111111111111111111111211d16166616161666161616661616166616166116661111111111
116666111166661111666611116666111166661111666611dd1111111111211111112111111111d611666611116666111166661111666611d111666111211211
1d11d1111d11d1111d11d1111d11d1111d11d1111d11d1111111211121111111211111111111111d1d11d1111d11d1111d11d1111d11d11111d1661121112222
dddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1ddddd1d1d11111111111111111111111111112111dddd1d1ddddd1d1ddddd1d1ddddd1d1d1dd11d1122229999
1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd11dd121111111111111111111111111111111ddd11dd1ddd11dd1ddd11dd1ddd11dd1ddd116199998989
1d111ddd1d111ddd1d111ddd1d111ddd1d111ddd1d111ddd111111211121111211211112121111111d111ddd1d111ddd1d111ddd1d111ddd11dd166198989888
11111dd111111dd111111dd111111dd111111dd111111dd11111111111111111111111111111111111111dd111111dd111111dd111111dd11111116188888888
1111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111d111188888888
111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111ddd16188888888
111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111dd166188888888
211111112111111121111111211111112111111121111111211111112111111121111111211111112111111121111111211111112111111111dd166188888888
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111d61188888888
1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111dd1d166188888888
1121111211211112112111121121111211211112112111121121111211211112112111121121111211211112112111121121111211211112ddd1111188888888
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111ddd116188888888

__gff__
00000000000001010103000000000000000000000000000000040000000000000000000000000b00230300000000000040000000000090000000000000000000030303030301000303000003000000000303030303000003042b03030000000003030323030b0023032203030000000003034090509007509010000300000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
515151515151515151515151515151515152595656505151514b620000000000000000000000000000000050515151515152590000000000000000005051515151515151515151515259565650515151515151520000005051515256005650515200560056505152484848484848485051515151515152000000000000000000
5151515151515151514751515151515151520056565051514b62560000000000000000000000000000000050515151475152000000000000000000005051514751515151515151515200565650515151515151520000005051515256005650575200560056505152000000000000005051575151515152000000000000000000
51515151515151515151515151515151515272565650514b6200560000000000000000000000000000000050515151515152000000000000000000005051515151515151515151515272565650515151515151520000005051515256005650515200560056505152000000000000005051515151515152000000000000000000
51475151515151515151515151515751515b4141417b4b620000560000006300000000000000000000000050515151515152690000000000000000005051515151515151515151515b4141417b515151515151520000005051515256005650515200566956505152000000000000007676767676767676000000000000000000
5151515151515151515151515151515151515151514b620000005600000000000000000000000000000000606161616161620000000000000000000050515151515151515151515151515151515151514751515200000050515152560056505152005600565051520000000000000000000000000000000000000b000d000000
5151515157514b616161616161616161616161616162000000005600000000000000006763670000000000560045454500560000000000000000000050515151515151515151575151515151515151515151515200000050515152560056505152005600565051520000000000000000000000000000000000001b001d000000
51515151514b62000000000000000000005600000056000000005600004545450000000000000000000000560000000000566900000000000000000050515151515151515151515151515151515151515151515200000050515152560056505152007676767676760000000000454545000000000000000000001b001d000000
515151514b620000000000000000000000560000005600000000560000555555000000000000000000000056000000000056000000000000000000006061616161616161616161616161616b515151515151515200000050515152560056505152005600560000560000000000000000000000000000000000001b001d000000
61616161620000000000000000000000005600000056000000005674005656560000000000000000000000560000740000560000000000000000000000000000000000000000000000000076767676767676767600000076767676560056767676005600560000560000000000000000000000000000000000001b001d000000
00000000000000630000000000000000005600000056000000404141414141414141414141414200000040414141414141420000000000000000000000000000006300000000000000000000005600000000560000000000000000560056000000004041420000434458580000000000000000000000000000001b001d000000
00000000000000000000000000000000005600000056000000505151515151515151515151515200000050515151515151526300000000000000000000000000000000000000000000000000005600000000560000000000000000567356000000005051520000535400000000000000000000000000000000001b001d000000
0000000000000000000000000000000000560000004500000050515151515151515151515151520000005051515151575152000000000000000043440000000000000000000000000000000000560000000040414141414200000048484848000000505152000053540000000000000000000000000040414141414141414141
0000000000000000007300000043440000560000000000000050515147515151515151515151520000005051515151515152000000480000480053540000000000007300000040414141414141420000000050515151515200000000000000000045505152757453547475000000000000000000000050515151515151515151
000000000000404141420000005354000045000000000000005051515151515151515151515152777877505151515151515b41414142000040414141414200004545454500005051515151515152000000005051515151527778777877787778777850515b414253544042787778777877787778777850515151515151514751
4141414141417b51515b41414141427778777877777877787750515151515151575151515151527979795051475151515151515151520000505151515152000055555555000050515151515751527400000050515151515279797979797979797979505151515253545052797979797979797979797950515157515151515151
51515151515151515151515151515279797979797979797979505151515151515151515151515279797950515151515151515151515277785051515151520000565656560000505151515151515b414141417b515151515279797979797979797979505151515253545052797979797979797979797950515151515151515151
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000004c4d4e4f00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000004c4d4e4f00004c4d4e4f5c5d5e5f0000004c4d0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000004c4d4e4f5c5d5e4c4d4e5c5d5e5f6c6d6e6f4c4d4e5c5d4c4d000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000005c5d5e5f6c6d6e5c5d5e6c6d6e6f7c7d7e7f5c5d5e6c6d5c5d000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000006c6d6e6f7c7d7e6c6d6e7c7d7e7f7c7d7e7f6c6d6e7c7d6c6d0000000000000000000000004c4d4e4f0000000000000000000000000000000000000000004c4d4e4f00000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000004c4d4e4f000000000000007c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7c7d00004c4d4e4f00004c4d4e4f5c5d5e5f0000004c4d4e4f000000004c4d4e4f00004c4d4e4f5c5d5e5f0000000000000000000000000000000000000000004c4d4e4f000000000000000000000000
000000004c4d4e4f00004c4d4e4f5c5d5e5f0000004c4d4e4f7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7c7c7d7e7c7d7c7d4e4f5c5d5e4c4d4e5c5d5e5f6c6d6e6f4c4d4e5c5d5e5f4c4d4e4f5c5d5e4c4d4e5c5d5e5f6c6d6e6f0000004c4d4e4f000000004c4d4e4f00004c4d4e4f5c5d5e5f0000004c4d4e4f000000004c
4c4d4e4f5c5d5e4c4d4e5c5d5e5f6c6d6e6f4c4d4e5c5d5e5f7c7d7e7f7c7d7e7c7d7e7c7d7c7c7c7c7c7c7c7d7e7c7d7c7d5e5f6c6d6e5c5d5e6c6d6e6f7c7d7e7f5c5d5e6c6d6e6f5c5d5e5f6c6d6e5c5d5e6c6d6e6f7c7d7e7f4c4d4e5c5d5e5f4c4d4e4f5c5d5e4c4d4e5c5d5e5f6c6d6e6f4c4d4e5c5d5e5f4c4d4e4f5c
5c5d5e5f6c6d6e5c5d5e6c6d6e6f7c7d7e7f5c5d5e6c6d6e6f010000000000000000000000047c7c7c7c7c0000000000007c6e6f7c7d7e6c6d6e7c7d7e7f7c7d7e7f6c6d6e7c7d7e7f6c6d6e6f7c7d7e6c6d6e7c7d7e7f7c7d7e7f5c5d5e6c6d6e6f5c5d5e5f6c6d6e5c5d5e6c6d6e6f7c7d7e7f5c5d5e6c6d6e6f5c5d5e5f6c
6c6d6e6f7c7d7e6c6d6e7c7d7e7f7c7d7e7f6c6d6e7c7d7e7f00017c007c007c7c7c007c04007c7c7c7c7c007c00007c007c7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7f6c6d6e7c7d7e7f6c6d6e6f7c7d7e6c6d6e7c7d7e7f7c7d7e7f6c6d6e7c7d7e7f6c6d6e6f7c
7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7f01007c7c7c00007c00007c00047c7c7c7c7c0000000000007c7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7c7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7c7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7f7c7d7e7f7c
7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7c7c7d7e7c7d7e7f00017c007c00007c00000004007c7c7c7c7c007c7c7c7c007c7e7f7c7d7e7c7d7e7c7d7c7c7c7c7c7c7c7d7e7c7d7c7c7c7d7e7f7c7d7e7c7d7e7c7d7c7c7c7c7c7c7c7d7e7c7d7e7f7c7d7e7f7c7d7e7c7d7e7c7d7e7f7c7d7e7c7c7d7e7c7d7e7f7c7d7e7f7c
7c7d7e7f7c7d7e7c7d7e7c7d7c7c7c7c7c7c7c7d7e7c7d7c7c01007c007c007c7c7c007c00047c7c7c7c7c00007c7c00007c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7c7d7e7c7d7c7c7c7d7e7f7c7d7e7c7d7e7c7d7c7c7c7c7c7c7c7d7e7c7d7c7c7c7d7e7f7c
__sfx__
3104000024071280612b0412d0312d0212d0112d0012d0012d0012d0002d0002d0002a00029000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
410300000b1700c1700c1600915006140051300213000110001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100
010200002f0762f0762f05633006350763507635076350663505635036350262f0063400634006340063400634006340063400000000000000000000000000000000000000000000000000000000000000000000
551500001410015100141001410011100111000c1000c1000e10011100111001110011100111001110011100111000c1000c1000c10011100181000c1001410014100151001510015100151000c1000c1000c100
58150000111750c1750f1750c1750d1750a1750f1750d175111750c1750f1750c1750d1750a1750f1750d175111750c1750f1750c1750d1750a1750f1750d175111750c1750f1750c1750d1750a1750f1750d175
551500001410215102151721410211172111020c1020c1720e17211172111621114211112111021110211102111020c1020c1720c10211172181720c1021417214171151711516215142151320c1020c1020c102
1015000005175001050010500105091750010500105001050a1750010500105001050b17500105001050c1050c175001050017500105021750010504175001050517500105001750010505175001050010500105
011500000c675006050060500605376453660500605006050c6750c6750c67500605376450060500605006050c6750c6750c6751d6053764500605006050b675006050b6750b6750060537645006050b67537645
551500001517215152151321117211152111320c1720c152151721515215132111721116211152111321112214172111620c1420c152141721415214132131721316213142131321312213112131001310213100
1115000021772217001d7001d7701d702007001877018700217721d700007001d77000700007001a70000700207721d77018770007002477200700247001f7001f702007001c7001f70200700007001870200700
1115000021772217001d700157001d7720070018700187701a7721d770007001d77000700007001f7001f770217721d77018770007001a77200700247001d7701d702007001c7001f7020070018700187021a770
111500002477221700267701d70024772007002677018700247721d700007001d77022770217701f770007001d7720870018700007002070200700247001f7001f702007001c7001f70200700007001870200700
1115000009175001050a175001050c175001050e175001050c1750010509175001050517500105071750c10508175001050c175001050e1750010511175001051317500105111750010510175001050c17500105
111500000a1750010509175001050c175001051017500105111750010510175001050c17500105091750c10508175001050c1750010511175001050c175001050a175001050e175001050c175001051017500105
111500000517500105001050010505175001050010500105031750010500105001050317500105001050010502175001050010500105021750010500105001050117500105011050010501175001050410500105
111500000017500005000050000500005000050000500005000050000500005000050217500005041750000505175000050000500105001750000500005000050517500005000050000505175000050000500005
0c0100003c6703b660390603706034660310602e0502a0502a65025050220401f6401c0401a030170301662012020100200f6100c0100a0100701005610040100101000010000000000000000000000000000000
0002000015170141701317013170131601315015150171601a1601d1501e1401d1501b14019130191201b1101c1101c1101b11018110151100000000000000000000000000000000000000000000000000000000
00050000356702866021660166500b640295502955029550295502655024550225501d5501d550225502455026550285502955029550295402953029520005000050000500005000050000500005000050000500
__music__
00 45040744
01 05040744
00 45040744
00 05040744
00 45040744
00 08040744
02 08040744
00 41424344
02 41424344

